<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        class Phone {
            constructor(name, price) {
                this.name = name
                this.price = price
                console.log('品牌' + this.name + '价格' +  this.price)
            }
            phoneCall(number) {
                this.number = number
                console.log('打电话给' + this.number)
            } 
        }
        class Apple extends Phone {
            constructor(name, price) {
                super(name, price)
                this.name = name
                this.price = price
                console.log('品牌：' + this.name + '价格：' + this.price)
            }
        }
        let sanxing = new Phone()
        sanxing.phoneCall('168888888')
        let apple = new Apple('aaa', '222')
        console.log(apple);
        apple.phoneCall(78456465)
    </script>
</body>
</html>